<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @package Ennova
 */
?>
<!--==================== FOOTER AREA ====================-->
  <footer>
     <?php if ( is_active_sidebar( 'footer_widget_area' ) ) { 
    $ennova_footer_widget_background = get_theme_mod('ennova_footer_widget_background');
    $ennova_footer_color = get_theme_mod('ennova_footer_color','#121026'); 
    if($ennova_footer_widget_background != '') { ?>
    <div class="overlay" style="background-image:url('<?php echo esc_url($ennova_footer_widget_background);?>');">
     <?php } else { ?>
        <div class="overlay" style="background-color: <?php echo esc_attr($ennova_footer_color);?>;">
      <?php } ?>
      <!--Start mg-footer-widget-area-->
      <div class="mg-footer-widget-area">
        <div class="container">
          <div class="row"> 
            <!--col-md-3-->
            <?php  dynamic_sidebar( 'footer_widget_area' ); ?>
          </div>
          <!--/row--> 
        </div>
        <!--/container--> 
      </div>
      <!--End mg-footer-widget-area-->
    </div>
    <?php } ?>
      <div class="mg-footer-copyright">
        <div class="container">
          <div class="row">
            <div class="col-md-12 text-xs">
              <div class="site-info">
                <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'ennova' ) ); ?>">
                  <?php
                  /* translators: placeholder replaced with string */
                  printf( esc_html__( 'Proudly powered by %s', 'ennova' ), 'WordPress' );
                  ?>
                </a>
                <span class="sep"> | </span>
              <?php
              /* translators: placeholder replaced with string */
              printf( esc_html__( 'Theme: %1$s by %2$s.', 'ennova' ), 'Ennova', '<a href="' . esc_url( __( 'https://themeansar.com/', 'ennova' ) ) . '" rel="designer">Themeansar</a>' );
              ?>    
            </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/overlay--> 
  </footer>
  <!--/footer--> 
</div>
<!--/wrapper-->
<!--Scroll To Top-->
<a href="#" class="ta_upscr bounceInup animated"><i class="fa fa-arrow-up"></i></a>
<!-- /Scroll To Top -->
<?php wp_footer(); ?>
</body>
</html>