<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @package Ennova
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >
<?php wp_body_open(); ?>
<div id="page" class="site">
<a class="skip-link screen-reader-text" href="#content">
<?php _e( 'Skip to content', 'ennova' ); ?></a>
<div class="wrapper">
	<header class="mg-standhead"> 
    	<nav class="navbar navbar-expand-lg navbar-wp">
        	<div class="container ennova-container">
            	<div class="navbar-header"> 
                <?php the_custom_logo(); ?>
                  <div class="site-branding-text">
                  <h1 class="site-title"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                    <p class="site-description"><?php bloginfo('description'); ?></p>
                  </div>
                	<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarup" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	            		<span class="navbar-toggler-icon"></span>
	            	</button>
                </div>
            	<?php 
                wp_nav_menu( array(
                   'theme_location'  => 'primary',
                   'container'       => 'div',
                   'container_class' => 'collapse navbar-collapse',
                   'container_id' => 'navbarup',
                   'menu_class'      => 'nav navbar-nav em-auto',
                   'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                   'walker'          => new wp_bootstrap_navwalker()
                ) );
              ?>
            
        	</div>
    	</nav>
    </header>
<div class="clearfix"></div>