<?php
function ennova_footer_setting( $wp_customize ) {
	$wp_customize->add_panel(
		'ennova_footer', array(
			'priority' => 32,
			'title' => esc_html__( 'Footer', 'ennova' ),
		)
	);
	
	// Footer Section.
    $wp_customize->add_section('footer_options', array(
        'title' => __('Footer Widgets','ennova'),
        'priority' => 50,
        'panel' => 'ennova_footer',
    ) );
    

    //Footer Background image
    $wp_customize->add_setting( 
        'ennova_footer_widget_background', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ennova_footer_widget_background', array(
        'label'    => __( 'Background Image', 'ennova' ),
        'section'  => 'footer_options',
        'settings' => 'ennova_footer_widget_background',
    ) ) );


    //Bqckground Overlay 
   $wp_customize->add_setting(
        'ennova_footer_color', array( 'default' => '#121026', 'sanitize_callback' => 'sanitize_hex_color',
        
    ) );
    
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'ennova_footer_color', array(
       'label'      => __('Background Color', 'ennova' ),
        'palette' => true,
        'section' => 'footer_options')
    ) );

     //Bqckground Overlay 
   $wp_customize->add_setting(
        'ennova_footer_text_color', array( 'sanitize_callback' => 'sanitize_hex_color',
        
    ) );
    
    $wp_customize->add_control( 'ennova_footer_text_color', array(
       'label'      => __('Text Color', 'ennova' ),
        'type' => 'color',
        'section' => 'footer_options')
    );

    
            $wp_customize->add_setting(
                'ennova_footer_column_layout', array(
                'default' => 3,
                'sanitize_callback' => 'ennova_sanitize_select',
            ) );

            $wp_customize->add_control(
                'ennova_footer_column_layout', array(
                'type' => 'select',
                'label' => __('Select Column Layout','ennova'),
                'section' => 'footer_options',
                'choices' => array(1=>1, 2=>2,3=>3,4=>4),
    ) );

}

add_action( 'customize_register', 'ennova_footer_setting' );



   if ( ! function_exists( 'ennova_sanitize_select' ) ) :

    /**
     * Sanitize select.
     *
     * @since 1.0.0
     *
     * @param mixed                $input The value to sanitize.
     * @param WP_Customize_Setting $setting WP_Customize_Setting instance.
     * @return mixed Sanitized value.
     */
    function ennova_sanitize_select( $input, $setting ) {

        // Ensure input is a slug.
        $input = sanitize_key( $input );

        // Get list of choices from the control associated with the setting.
        $choices = $setting->manager->get_control( $setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $input, $choices ) ? $input : $setting->default );

    }

endif;